org.apache.pdfbox.preflight.font.descriptor

## Class Type1DescriptorHelper

- java.lang.Object
- - org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper<Type1Container>
  - - org.apache.pdfbox.preflight.font.descriptor.Type1DescriptorHelper

    public class Type1DescriptorHelper
    extends FontDescriptorHelper<Type1Container>

### Field Summary

### Fields inherited from class org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper

`context, fContainer, font, fontDescriptor`

### Constructor Summary

Constructors
Constructor and Description
`Type1DescriptorHelper(PreflightContext context, org.apache.pdfbox.pdmodel.font.PDSimpleFont font, Type1Container fontContainer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected boolean` `checkMandatoryFields(org.apache.pdfbox.cos.COSDictionary fDescriptor)`
`org.apache.pdfbox.pdmodel.common.PDStream` `extractFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor)`
`protected void` `processFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor, org.apache.pdfbox.pdmodel.common.PDStream fontFile)`

### Methods inherited from class org.apache.pdfbox.preflight.font.descriptor.FontDescriptorHelper

`checkFontFileMetaData, fontFileNotEmbedded, getMetaDataStreamAsBytes, hasOnlyOneFontFile, isSubSet, validate`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Type1DescriptorHelper

    public Type1DescriptorHelper(PreflightContext context,
                                 org.apache.pdfbox.pdmodel.font.PDSimpleFont font,
                                 Type1Container fontContainer)

### Method Detail

#### checkMandatoryFields

    protected boolean checkMandatoryFields(org.apache.pdfbox.cos.COSDictionary fDescriptor)

Overrides:
  `checkMandatoryFields` in class `FontDescriptorHelper<Type1Container>`

#### extractFontFile

    public org.apache.pdfbox.pdmodel.common.PDStream extractFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor)

Specified by:
  `extractFontFile` in class `FontDescriptorHelper<Type1Container>`

#### processFontFile

    protected void processFontFile(org.apache.pdfbox.pdmodel.font.PDFontDescriptor fontDescriptor,
                                   org.apache.pdfbox.pdmodel.common.PDStream fontFile)

Specified by:
  `processFontFile` in class `FontDescriptorHelper<Type1Container>`